ServerEvents.recipes(event => {
    event.shaped(
  Item.of('mm:smithing', 1),
  [
    'ABA',
    'BDB', 
    'ABA'
  ],
  {
    A: 'kubejs:bleu_fonce',
    B: 'minecraft:netherite_upgrade_smithing_template',
    D: 'minecraft:smithing_table'
  })
  event.shaped(
  Item.of('mm:energy_smithing_input', 1),
  [
    'ABA',
    'BDB', 
    'ABA'
  ],
  {
    A: 'kubejs:bleu_fonce',
    B: 'actuallyadditions:advanced_coil',
    D: 'actuallyadditions:advanced_coil'
  })
  event.shaped(
  Item.of('mm:item_smithing_input', 1),
  [
    'ABA',
    'CDC', 
    'ACA'
  ],
  {
    A: 'kubejs:bleu_fonce',
    B: 'minecraft:hopper',
    C: 'integratedtunnels:part_interface_item',
    D: 'ae2:item_storage_cell_1k'
  })
   event.shaped(
  Item.of('mm:item_smithing_input', 1),
  [
    'ACA',
    'CDC', 
    'ABA'
  ],
  {
    A: 'kubejs:bleu_fonce',
    B: 'minecraft:hopper',
    C: 'integratedtunnels:part_interface_item',
    D: 'ae2:item_storage_cell_1k'
  })
})

